<?xml version="1.0" encoding="UTF-8"?>
<quiz>
  <question type="stack">
    <name>
      <text>2.6.1.4 Distance between 2 points</text>
    </name>
    <questiontext format="html">
      <text><![CDATA[<p class="HELM_exercise">Exercise</p>
<p>Calculate the distance between the points \( P_1 ({@x1@}, {@y1@})\) and \(P_2 ({@x2@}, {@y2@}).\)</p><br>
<p>{@plot([discrete,[[x1,y1], [x2,y2]]],[x,x1-2,x2+2], [y, -0.5, y2+1.3], [box, false],[yx_ratio, 1], [xtics, x1-1, 1, x2+1],[ytics, 0, 1, y2+1],[axes, solid],[style, [points, 2]],[point_type, bullet])@}</p>
<p>\( d =\) [[input:ans1]] [[validation:ans1]] [[feedback:prt1]]</p>]]></text>
    </questiontext>
    <generalfeedback format="html">
      <text><![CDATA[<p></p>
<figure class="HELM_figure">
  <img src="@@PLUGINFILE@@/circle4.svg" alt="A right angle triangle used to calculate the distance of 2 points" width="337" height="168" class="img-responsive atto_image_button_text-bottom">
</figure>

<p>Using Pythagoras' Theorem the distance between the two given points is \[ d = \sqrt{(P_1 A)^2+(A P_2)^2} \]</p><p>
</p><p>\( P1 A= {@x2@} - ({@x1@}) = {@x2-x1@}, \quad AP_2 = {@y2@} - {@y1@} = {@y2-y1@} \)</p>
<p>Hence, \[ d= \sqrt{{@x2-x1@}^2 + {@y2-y1@}^2} = {@d@} \]</p>]]></text>
<file name="circle4.svg" path="/" encoding="base64">[encoded data, 22580 characters]</file>
    </generalfeedback>
    <defaultgrade>1</defaultgrade>
    <penalty>0.1</penalty>
    <hidden>0</hidden>
    <idnumber/>
    <stackversion>
      <text>2021120900</text>
    </stackversion>
    <questionvariables>
      <text>x1: rand([-1,-2,-3]);
y1: 1;
x2: rand(5)+3;
y2: rand(3)+2;

d: sqrt((x2-x1)^2+(y2-y1)^2)</text>
    </questionvariables>
    <specificfeedback format="html">
      <text/>
    </specificfeedback>
    <questionnote format="moodle_auto_format">
      <text>\( P_1 ({@x1@}, {@y1@}), \, P_2  ({@x2@}, {@y2@}), d = {@d@} \)</text>
    </questionnote>
    <questiondescription format="moodle_auto_format">
      <text/>
    </questiondescription>
    <questionsimplify>1</questionsimplify>
    <assumepositive>0</assumepositive>
    <assumereal>0</assumereal>
    <prtcorrect format="html">
      <text><![CDATA[<span style="font-size: 1.5em; color:green;"><i class="fa fa-check"></i></span> Correct answer, well done.]]></text>
    </prtcorrect>
    <prtpartiallycorrect format="html">
      <text><![CDATA[<span style="font-size: 1.5em; color:orange;"><i class="fa fa-adjust"></i></span> Your answer is partially correct.]]></text>
    </prtpartiallycorrect>
    <prtincorrect format="html">
      <text><![CDATA[<span style="font-size: 1.5em; color:red;"><i class="fa fa-times"></i></span> Incorrect answer.]]></text>
    </prtincorrect>
    <decimals>.</decimals>
    <scientificnotation>*10</scientificnotation>
    <multiplicationsign>dot</multiplicationsign>
    <sqrtsign>1</sqrtsign>
    <complexno>i</complexno>
    <inversetrig>cos-1</inversetrig>
    <logicsymbol>lang</logicsymbol>
    <matrixparens>[</matrixparens>
    <isbroken>0</isbroken>
    <variantsselectionseed/>
    <input>
      <name>ans1</name>
      <type>algebraic</type>
      <tans>d</tans>
      <boxsize>7</boxsize>
      <strictsyntax>1</strictsyntax>
      <insertstars>0</insertstars>
      <syntaxhint/>
      <syntaxattribute>0</syntaxattribute>
      <forbidwords/>
      <allowwords/>
      <forbidfloat>1</forbidfloat>
      <requirelowestterms>0</requirelowestterms>
      <checkanswertype>0</checkanswertype>
      <mustverify>1</mustverify>
      <showvalidation>3</showvalidation>
      <options/>
    </input>
    <prt>
      <name>prt1</name>
      <value>1.0000000</value>
      <autosimplify>1</autosimplify>
      <feedbackstyle>1</feedbackstyle>
      <feedbackvariables>
        <text/>
      </feedbackvariables>
      <node>
        <name>0</name>
        <description/>
        <answertest>AlgEquiv</answertest>
        <sans>ans1</sans>
        <tans>d</tans>
        <testoptions/>
        <quiet>0</quiet>
        <truescoremode>=</truescoremode>
        <truescore>1.0000000</truescore>
        <truepenalty/>
        <truenextnode>-1</truenextnode>
        <trueanswernote>prt1-1-T</trueanswernote>
        <truefeedback format="html">
          <text/>
        </truefeedback>
        <falsescoremode>=</falsescoremode>
        <falsescore>0.0000000</falsescore>
        <falsepenalty/>
        <falsenextnode>-1</falsenextnode>
        <falseanswernote>prt1-1-F</falseanswernote>
        <falsefeedback format="html">
          <text/>
        </falsefeedback>
      </node>
    </prt>
    <deployedseed>1416532877</deployedseed>
    <deployedseed>1736348409</deployedseed>
    <deployedseed>797876775</deployedseed>
    <deployedseed>976032174</deployedseed>
    <deployedseed>1734999465</deployedseed>
    <deployedseed>758849975</deployedseed>
    <deployedseed>1750747959</deployedseed>
    <deployedseed>251725069</deployedseed>
    <deployedseed>722141636</deployedseed>
    <deployedseed>79764317</deployedseed>
    <qtest>
      <testcase>1</testcase>
      <description/>
      <testinput>
        <name>ans1</name>
        <value>d</value>
      </testinput>
      <expected>
        <name>prt1</name>
        <expectedscore>1.0000000</expectedscore>
        <expectedpenalty>0.0000000</expectedpenalty>
        <expectedanswernote>prt1-1-T</expectedanswernote>
      </expected>
    </qtest>
    <qtest>
      <testcase>2</testcase>
      <description/>
      <testinput>
        <name>ans1</name>
        <value>ev(d+1,simp)</value>
      </testinput>
      <expected>
        <name>prt1</name>
        <expectedscore>0.0000000</expectedscore>
        <expectedpenalty>0.1000000</expectedpenalty>
        <expectedanswernote>prt1-1-F</expectedanswernote>
      </expected>
    </qtest>
  </question>
</quiz>
